Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## teamdev.jxdesktop.win32
Class WindowsWindowManager

    java.lang.Object
      teamdev.jxdesktop.WindowManager
          teamdev.jxdesktop.win32.WindowsWindowManager

public class WindowsWindowManager
extends WindowManager

Windows OS implementation of `WindowManager` abstract class.

Constructor Summary
`WindowsWindowManager()`

Method Summary
`UIElement` | `findWindow(java.lang.String titleName)` Searches a window by a specified title.
`UIElement` | `getActiveWindow()` Returns a foreground window (the window with which the user is currently working).
`java.util.List` | `getAllWindows()` Returns the list of all top-level windows on the screen.
`UIElement` | `getDesktopWindow()` Returns a desktop window.
`UIElement` | `getFullScreen()` Returns the full screen window (including multiple monitors).
`UIElement` | `getWindowAtPoint(java.awt.Point point)` Returns the window that contains the specified point.

Methods inherited from class teamdev.jxdesktop.WindowManager
`getInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WindowsWindowManager

    public WindowsWindowManager()

Method Detail

### getDesktopWindow

    public UIElement getDesktopWindow()

  Description copied from class: `WindowManager`
  Returns a desktop window. The desktop window covers the entire screen. The desktop window is the area on top of which other windows are painted.

  Specified by:
    `getDesktopWindow` in class `WindowManager`
  Returns:
    desktop window. If the method fails - the return value is `null`

### getActiveWindow

    public UIElement getActiveWindow()

  Description copied from class: `WindowManager`
  Returns a foreground window (the window with which the user is currently working).

  If no foreground window this method returns full screen window (see `getFullScreen()` method).

  Specified by:
    `getActiveWindow` in class `WindowManager`
  Returns:
    foreground window. If no foreground window this method returns full screen window (see `getFullScreen()` method).

### getAllWindows

    public java.util.List getAllWindows()

  Description copied from class: `WindowManager`
  Returns the list of all top-level windows on the screen.

  Specified by:
    `getAllWindows` in class `WindowManager`
  Returns:
    list of all top-level windows on the screen. If the method fails, the return list is empty

### getWindowAtPoint

    public UIElement getWindowAtPoint(java.awt.Point point)

  Description copied from class: `WindowManager`
  Returns the window that contains the specified point. The method does not get the hidden or disabled window, even if the point is within the window.

  Specified by:
    `getWindowAtPoint` in class `WindowManager`
  Parameters:
    `point` - the specified point
  Returns:
    the window that contains the specified point. If no window exists at the given point, the return value is `null`

### getFullScreen

    public UIElement getFullScreen()

  Description copied from class: `WindowManager`
  Returns the full screen window (including multiple monitors).

  Specified by:
    `getFullScreen` in class `WindowManager`
  Returns:
    full screen window. If the method fails, the return value is `null`

### findWindow

    public UIElement findWindow(java.lang.String titleName)

  Description copied from class: `WindowManager`
  Searches a window by a specified title.

  Specified by:
    `findWindow` in class `WindowManager`
  Parameters:
    `titleName` - the title of window
  Returns:
    the window with a specified title

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD